package com.liquidnet.service.kylin.dto.vo.ticketSystem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel
public class TimesVo implements Serializable,Cloneable {
    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "演出场次ID [必传]")
    private String sessionId;
    @ApiModelProperty(value = "场次名称 [必传]")
    private String sessionName;
    @ApiModelProperty(value = "演出场所或场厅编码，兼容传递场所code [必传]")
    private String hallCode;
    @ApiModelProperty(value = "场次开始时间 [必传]")
    private String sessionStartTime;
    @ApiModelProperty(value = "场次演出结束时间 [必传]")
    private String sessionEndTime;
    @ApiModelProperty(value = "是否有座[必传 0：无座1：有座]")
    private Integer hasSeat;
    @ApiModelProperty(value = "票图URL [有座必传]")
    private String seatingChart;
    @ApiModelProperty(value = "标记[非必传 0：禁用，1：启用]")
    private Integer tag;

    private static final TimesVo obj = new TimesVo();

    public static TimesVo getNew() {
        try {
            return (TimesVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new TimesVo();
    }
}
